package cn.wise.sc.cement.business.service;

import cn.wise.sc.cement.business.entity.PlanEquipmentRepair;
import cn.wise.sc.cement.business.model.BaseResponse;
import cn.wise.sc.cement.business.model.PageQuery;
import cn.wise.sc.cement.business.model.query.PlanEquipmentRepairQuery;
import cn.wise.sc.cement.business.model.query.PlanFinishQuery;
import cn.wise.sc.cement.business.model.vo.PlanEquipmentRepairVo;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;

import javax.annotation.Resource;
import javax.servlet.http.HttpServletResponse;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author ztw
 * @since 2020-09-28
 */
public interface IPlanEquipmentRepairService extends IService<PlanEquipmentRepair> {

	BaseResponse<IPage<PlanEquipmentRepairVo>> getPage(PageQuery pageQuery, String name);

	void export(String name, String fileName, HttpServletResponse response);

	BaseResponse<PlanEquipmentRepair> create(PlanEquipmentRepairQuery query);

	BaseResponse<PlanEquipmentRepair> update(PlanEquipmentRepairQuery query);

	BaseResponse<PlanEquipmentRepairVo> getDetail(Integer id);

	BaseResponse<String> finish(PlanFinishQuery query);

	BaseResponse<String> delete(Integer id);

}
